#include <bits/stdc++.h>
using namespace std;
typedef long long LL;
const int mxN=2e5+5;
int a,b,x,y;
int main()
{
    scanf("%d %d %d %d",&a,&b,&x,&y);
    if(a==x&&b==y){
        printf("nijedan");
    }
    else if(a==x&&b!=y){
        printf("drugi");
    }
    else if(b==y&&a!=x){
        printf("prvi");
    }
    else{
        printf("?");
    }
    return 0;
}